EDIT - bug #7333

LIE when creating registration for existing name
03/27/2018 07:16 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.0

Severity: critical Found in Version:

Description

this happened in test database:

1. create new registration for "Infusionsthierchen. 1838"
2. new registration for existing name "Trachelomonas Ehrenb." --> causes LazyInitializationException

Ehrenberg, C.G., Infusionsthierchen. 1838

Registrations

Add a new registration for a new name or an existing name: Trachelomonas Ehrenb

org.hibernate.LazyInitializationException: failed to lazily initialize a collection of role: eu.et
axonomy.cdm.model.name.Registration.blockedBy, could not initialize proxy - no Session

at org.hibernate.collection.internal.AbstractPersistentCollection.throwLazyInitializationExcep
tion (AbstractPersistentCollection. java:567)

at org.hibernate.collection.internal.AbstractPersistentCollection.withTemporarySessionIfNeeded
(AbstractPersistentCollection. java:205)

at org.hibernate.collection.internal.AbstractPersistentCollection.readSize (AbstractPersistentC
ollection. java:146)

at org.hibernate.collection.internal.PersistentSet.isEmpty (PersistentSet.java:149)

at eu.etaxonomy.cdm.vaadin.view.registration.RegistrationDTO.isBlocked (RegistrationDTO. java:36
3)

at eu.etaxonomy.cdm.vaadin.view.registration.RegistrationWorksetViewBean.putRegistrationListCo
mponent (RegistrationWorksetViewBean. java:326)

at eu.etaxonomy.cdm.vaadin.view.registration.RegistrationWorksetViewBean.createRegistrationsLi
st (RegistrationWorksetViewBean. java:227)

at eu.etaxonomy.cdm.vaadin.view.registration.RegistrationWorksetViewBean.setWorkingset (Registr
ationWorksetViewBean.java:171)

at eu.etaxonomy.cdm.vaadin.view.registration.RegistrationWorkingsetPresenter.onRegistrationWor
kflowEventActionStart (RegistrationWorkingsetPresenter. java:432)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.vaadin.spring.events.internal.MethodListenerWrapper.publish (MethodListenerWrapper. java:
78)

at org.vaadin.spring.events.internal.ListenerCollection.publish(ListenerCollection.java:167)

at org.vaadin.spring.events.internal.ScopedEventBus.publish (ScopedEventBus. java:116)

at org.vaadin.spring.events.internal.ScopedEventBus.publish (ScopedEventBus. java:109)

at eu.etaxonomy.cdm.vaadin.view.registration.RegistrationWorksetViewBean.lambda$l (Registration
WorksetViewBean. java:242)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at com.vaadin.event.ListenerMethod.receiveEvent (ListenerMethod. java:510)

at com.vaadin.event.EventRouter.fireEvent (EventRouter. java:200)

at com.vaadin.event.EventRouter.fireEvent (EventRouter.java:163)

at com.vaadin.server.AbstractClientConnector.fireEvent (AbstractClientConnector. java:1015)
at com.vaadin.ui.Button.fireClick (Button.java:377)
at com.vaadin.ui.Button$l.click (Button. java:54)
at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at com.vaadin.server.ServerRpcManager.applyInvocation (ServerRpcManager. java:158)
at com.vaadin.server.ServerRpcManager.applyInvocation (ServerRpcManager.java:119)

at com.vaadin.server.communication.ServerRpcHandler.handleInvocation (ServerRpcHandler. java:437

at com.vaadin.server.communication.ServerRpcHandler.handleInvocations (ServerRpcHandler. java:40

at com.vaadin.server.communication.ServerRpcHandler.handleRpc (ServerRpcHandler. java:273)

at com.vaadin.server.communication.UidlRequestHandler.synchronizedHandleRequest (UidlRequestHan

dler.java:90)

at com.vaadin.server.SynchronizedRequestHandler.handleRequest (SynchronizedRequestHandler. java:

41)

at com.vaadin.server.VaadinService.handleRequest (VaadinService. java:1436)
at com.vaadin.server.VaadinServlet.service (VaadinServlet. java:380)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder.java:841)

at org.eclipse.jetty.servlet.ServletHandler$SCachedChain.doFilter (ServletHandler. java:1634)

Associated revisions

Revision cb426588 - 03/28/2018 09:04 AM - Andreas Kohlbecker

fix #7333 initializing blockedBy in newly created registrations to avoid LIEs

History

#1 - 03/28/2018 09:05 AM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|cb426588993d3628edff82d87254828e9e41e86.

#2 - 03/28/2018 09:06 AM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

hi Henning,
| solved the problem, please also test yourself to verify the fix.

Andreas

#3 - 05/03/2018 03:13 PM - Wolf-Henning Kusber
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

Test without problems.

#4 - 05/03/2018 05:20 PM - Andreas Kohlbecker

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker
